#
# Struttura della tabella `phpbb_guestbook`
#

CREATE TABLE phpbb_guestbook (
  nick varchar(25) NOT NULL default '',
  data_ora int(11) NOT NULL default '0',
  email varchar(255) default NULL,
  sito varchar(100) default NULL,
  comento text,
  bbcode_uid varchar(10) default NULL,
  ipi varchar(8) NOT NULL default '',
  agent varchar(255) NOT NULL default '',
  user_id mediumint(8) NOT NULL default '0',
  hide tinyint(1) default '0',
  id mediumint(8) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Struttura della tabella `phpbb_guest_config`
#

CREATE TABLE phpbb_guest_config (
  config_name varchar(255) NOT NULL default '',
  config_value varchar(255) NOT NULL default '',
  PRIMARY KEY  (config_name)
) TYPE=MyISAM;

#
# Dump dei dati per la tabella `phpbb_guest_config`
#

INSERT INTO phpbb_guest_config VALUES ('maxlenght_posts', '500');
INSERT INTO phpbb_guest_config VALUES ('posts_per_page', '15');
INSERT INTO phpbb_guest_config VALUES ('hide_posts', '0');
INSERT INTO phpbb_guest_config VALUES ('smilies_column', '6');
INSERT INTO phpbb_guest_config VALUES ('smilies_row', '3');
INSERT INTO phpbb_guest_config VALUES ('no_only_smilies', '1');
INSERT INTO phpbb_guest_config VALUES ('no_only_quote', '1');
INSERT INTO phpbb_guest_config VALUES ('word_wrap', '1');
INSERT INTO phpbb_guest_config VALUES ('flood_interval', '20');
INSERT INTO phpbb_guest_config VALUES ('contatore', '0');
INSERT INTO phpbb_guest_config VALUES ('word_wrap_length', '32');
INSERT INTO phpbb_guest_config VALUES ('session_posting', '60');
INSERT INTO phpbb_guest_config VALUES ('password', '12345');
INSERT INTO phpbb_guest_config VALUES ('permit_mod', '0');
INSERT INTO phpbb_guest_config VALUES ('version', '2.2.0');

