<?php
/***************************************************************************
*                               db_update.php
*                            -------------------
*
*   copyright            : 2003 Freakin' Booty ;-P & Antony Bailey
*
***************************************************************************/

/***************************************************************************
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*
***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//


if( $userdata['user_level'] != ADMIN && !$userdata['session_logged_in'] )
{
   message_die(GENERAL_MESSAGE, 'You are not authorised to access this page');
}


$page_title = 'Updating the database';
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

echo '<table width="100%" cellspacing="1" cellpadding="2" border="0" class="forumline">';
echo '<tr><th>Installazione di cricca-guestbook</th></tr><tr><td><span class="genmed"><ul type="circle">';


$sql = array();

$sql[] = "CREATE TABLE " . $table_prefix . "guestbook (
  nick varchar(25) NOT NULL default '',
  data_ora int(11) NOT NULL default '0',
  email varchar(255) default NULL,
  sito varchar(100) default NULL,
  comento text,
  bbcode_uid varchar(10) default NULL,
  ipi varchar(8) NOT NULL default '',
  agent varchar(255) NOT NULL default '',
  user_id mediumint(8) NOT NULL default '0',
  hide tinyint(1) default '0',
  id mediumint(8) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id)
) TYPE=MyISAM;";


$sql[] = "CREATE TABLE " . $table_prefix . "guest_config (
  config_name varchar(255) NOT NULL default '',
  config_value varchar(255) NOT NULL default '',
  PRIMARY KEY  (config_name)
) TYPE=MyISAM;";

$sql[] = "INSERT INTO phpbb_guest_config VALUES ('maxlenght_posts', '500')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('posts_per_page', '15')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('hide_posts', '0');";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('smilies_column', '6')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('smilies_row', '3')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('no_only_smilies', '1')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('no_only_quote', '1')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('word_wrap', '1')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('flood_interval', '20')";
$sql[] = "INSERT INTO phpbb_guest_config VALUES ('contatore', '0'); ";


for( $i = 0; $i < count($sql); $i++ )
{
   if( !$result = $db->sql_query ($sql[$i]) )
   {
      $error = $db->sql_error();

      echo '<li>' . $sql[$i] . '<br /> +++ <font color="#FF0000"><b>Error:</b></font> ' . $error['message'] . '</li><br />';
   }
   else
   {
      echo '<li>' . $sql[$i] . '<br /> +++ <font color="#00AA00"><b>Successfull</b></font></li><br />';
   }
}


echo '</ul></span></td></tr>';

echo '<tr><td class="catBottom" height="28" align="center"><span class="genmed"><a href="' . append_sid("index.$phpEx") . '">Have a nice day</a></span></td></table>';

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>
